SDCOR(3)

SYNOPSIS
SUBROUTINE SDCOR (DFDY, EL, FA, H, IERROR, IMPL, IPVT, MATDIM, 8 MITER, ML, MU, N, NDE, NQ, T, USERS, Y, YH, YWT, EVALFA, SAVE1, 8 SAVE2, A, D, JSTATE)

NAME
sdcor - Subroutine SDCOR computes corrections to the Y array.

LIBRARY
SLATEC (SDRIVE)

TYPE
SINGLE PRECISION (SDCOR-S, DDCOR-D, CDCOR-C)

AUTHOR
Kahaner, D. K., (NIST) National Institute of Standards and Technology Gaithersburg, MD 20899 Sutherland, C. D., (LANL) Mail Stop D466 Los Alamos National Laboratory Los Alamos, NM 87545

DESCRIPTION
In the case of functional iteration, update Y directly from the result of the last call to F. In the case of the chord method, compute the corrector error and solve the linear system with that as right hand side and DFDY as coefficient matrix, using the LU decomposition if MITER is 1, 2, 4, or 5.

ROUTINES CALLED
SGBSL, SGESL, SNRM2

REVISION HISTORY (YYMMDD)
790601 DATE WRITTEN
900329 Initial submission to SLATEC.